Subject: netconsole fun

From: Peter Hurley <[email-masked]>
Date: Mon, 10 Dec 2012 09:17:13 -0500

Now that netpoll has been disabled for slaved devices, is there a
recommended method of running netconsole on a machine that has a slaved
device?

I ask because it seems pretty difficult to get netconsole running even
on a machine that has multiple physical interfaces, only one of which is
slaved.

I scoured the documentation but didn't find anything relevant (does
Documentation/networking/netconsole.txt need a patch?). AFAICT, the last
discussion ended here back in June '11
http://lkml.indiana.edu/hypermail/linux/kernel/1106.1/03185.html with
"Looks like we need to teach the tun-tap driver to support netpoll that
shouldn't be too hard. I'll send up a patch shortly
Neil"

Any help or pointers provided would be much appreciated.

Regards,
Peter Hurley